evm: add evm_inode_setattr to prevent updating an invalid security.evm
authorMimi Zohar <zohar@linux.vnet.ibm.com>
Fri, 13 May 2011 16:53:38 +0000 (12:53 -0400)
committerMimi Zohar <zohar@linux.vnet.ibm.com>
Mon, 18 Jul 2011 16:29:50 +0000 (12:29 -0400)
commit817b54aa45db03437c6d09a7693fc6926eb8e822
tree03d43f3abfbd8670e3a30a33ef868ec7705ef2c4
parent7102ebcd65c1cdb5d5a87c7c5cf7a46f5afb0cac
evm: add evm_inode_setattr to prevent updating an invalid security.evm

Permit changing of security.evm only when valid, unless in fixmode.

Reported-by: Roberto Sassu <roberto.sassu@polito.it>
Signed-off-by: Mimi Zohar <zohar@us.ibm.com>
include/linux/evm.h
security/integrity/evm/evm_main.c
security/security.c